
Redmine - Defect #8518

undefined method `name' for "abstract":String

2011-06-03 17:33 - mr Mirocow

Status: Closed Start date: 2011-06-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

gem list

LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.0.7, 3.0.6, 3.0.5, 3.0.4, 3.0.3, 2.3.11, 2.3.5)

actionpack (3.0.7, 3.0.6, 3.0.5, 3.0.4, 3.0.3, 2.3.11, 2.3.5)

activemodel (3.0.7, 3.0.6, 3.0.5, 3.0.4, 3.0.3)

activerecord (3.0.7, 3.0.6, 3.0.5, 3.0.4, 3.0.3, 2.3.11, 2.3.5)

activeresource (3.0.7, 3.0.6, 3.0.5, 3.0.4, 3.0.3, 2.3.11, 2.3.5)

activesupport (3.0.7, 3.0.6, 3.0.5, 3.0.4, 3.0.3, 2.3.11, 2.3.5)

acts-as-taggable-on (2.0.6)

arel (2.1.1, 2.1.0, 2.0.9, 2.0.8, 2.0.7, 2.0.6)

builder (3.0.0, 2.1.2)

bundler (1.0.14, 1.0.13, 1.0.11, 1.0.10, 1.0.7)

coderay (0.9.8, 0.9.7)

daemon_controller (0.2.6, 0.2.5)

erubis (2.7.0, 2.6.6)

fastthread (1.0.7)

file-tail (1.0.5)

hoe (2.9.4, 2.8.0)

i18n (0.6.0, 0.4.2)

json_pure (1.5.1, 1.5.0, 1.4.6)

mail (2.3.0, 2.2.15, 2.2.14, 2.2.12)

memcache-client (1.8.5)

mime-types (1.16)

mysql (2.8.1)

passenger (3.0.7, 3.0.6, 3.0.5, 3.0.4, 3.0.3, 3.0.2, 3.0.0)

polyglot (0.3.1)

rack (1.1.0)

rack-mount (0.8.1, 0.8.0, 0.7.2, 0.7.1, 0.6.14, 0.6.13)

rack-test (0.6.0, 0.5.7, 0.5.6)

rails (2.3.11)

railties (3.0.7, 3.0.6, 3.0.5, 3.0.4, 3.0.3)

rake (0.9.1)

rmagick (2.13.1)

rubyforge (2.0.4)

rubygems-update (1.8.5)

rubytree (0.8.1)

sources (0.0.2)

spruz (0.2.7, 0.2.6, 0.2.5, 0.2.2)

thor (0.14.6)

treetop (1.4.9)

tzinfo (0.3.27, 0.3.26, 0.3.24)

some problem

Error message:

undefined method `name' for "abstract":String

Exception class:

NoMethodError
Application root:

/home/mirocow.com/data/www/css.mirocow.com

Backtrace:     #     File     Line     Location

0     /usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/gem_dependency.rb     277     in `=='

1     /usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb     217     in `==='

2     /usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb     217     in `matching_specs'

3     /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb     36     in `find_all'

4     /usr/local/lib/ruby/site_ruby/1.8/rubygems/specification.rb     410     in `each'

5     /usr/local/lib/ruby/site_ruby/1.8/rubygems/specification.rb     409     in `each'

6     /usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb     216     in `find_all'

7     /usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb     216     in `matching_specs'

8     /usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb     238     in `to_specs'

9     /usr/local/lib/ruby/site_ruby/1.8/rubygems/dependency.rb     256     in `to_spec'

10     /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb     1182     in `gem'

11     /usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/rails/gem_dependency.rb     75     in `add_load_paths'

12     /usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb     301     in `add_gem_load_paths'

13     /usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb     301     in `each'

14     /usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb     301     in `add_gem_load_paths'

15     /usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb     132     in `process'

16     /usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb     113     in `send'

17     /usr/local/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/initializer.rb     113     in `run'

18     /usr/home/css.mirocow.com/config/environment.rb     20

19     /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb     36     in `gem_original_require'

20     /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb     36     in `require'

21     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner.rb     222     in

`preload_application'

22     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner.rb     181     in

`initialize_server'

23     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/utils.rb     564     in `report_app_init_status'

24     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner.rb     174     in

`initialize_server'

25     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb     204     in `start_synchronously'

26     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb     180     in `start'

27     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner.rb     149     in

`start'

28     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb     219     in

`spawn_rails_application'

29     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server_collection.rb     132     in

`lookup_or_add'

30     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb     214     in

`spawn_rails_application'

31     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server_collection.rb     82     in `synchronize'

32     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server_collection.rb     79     in `synchronize'

33     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb     213     in

`spawn_rails_application'

34     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb     132     in `spawn_application'

35     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb     275     in

`handle_spawn_application'

36     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb     357     in `__send__'

37     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb     357     in `server_main_loop'

38     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb     206     in `start_synchronously'

39     /usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.0/helper-scripts/passenger-spawn-server     99

Related issues:

Is duplicate of Redmine - Defect #8325: undefined method `name' for "actionma... Closed 2011-05-09

History

#1 - 2011-06-03 17:39 - mr Mirocow

You may see this problem here http://css.mirocow.com

#2 - 2011-06-03 18:09 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Already reported, see #8325.
